<?php
/**
 * The Classic template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_blog_style = explode('_', malta_get_theme_option('blog_style'));
$malta_columns = empty($malta_blog_style[1]) ? 1 : max(1, $malta_blog_style[1]);
$malta_expanded = !malta_sidebar_present() && malta_is_on(malta_get_theme_option('expand_content'));
$malta_post_format = get_post_format();
$malta_post_format = empty($malta_post_format) ? 'standard' : str_replace('post-format-', '', $malta_post_format);
$malta_animation = malta_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_chess post_layout_chess_'.esc_attr($malta_columns).' post_format_'.esc_attr($malta_post_format) ); ?>
	<?php echo (!malta_is_off($malta_animation) ? ' data-animation="'.esc_attr(malta_get_animation_classes($malta_animation)).'"' : ''); ?>
	>

	<?php
	// Add anchor
	if ($malta_columns == 1 && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="post_'.esc_attr(get_the_ID()).'" title="'.esc_attr(get_the_title()).'"]');
	}

	// Featured image
	malta_show_post_featured( array(
											'class' => '',
											'show_no_image' => true,
											'thumb_bg' => true,
											'thumb_size' => malta_get_thumb_size(
																	strpos(malta_get_theme_option('body_style'), 'full')!==false
																		? ( $malta_columns > 1 ? 'chess' : 'chess' )
																		: (	$malta_columns > 1 ? 'chess' : 'chess')
																	)
											) 
										);

	?><div class="post_inner"><div class="post_inner_content"><?php 

		?><div class="post_header entry-header"><?php 
			do_action('malta_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			
			do_action('malta_action_before_post_meta'); 

			// Post meta
			$malta_post_meta = malta_show_post_meta(array(
									'categories' => false,
									'date' => true,
									'edit' => false,
									'seo' => false,
									'share' => false,
									'counters' => 'comments',
									'echo' => false
									)
								);
			malta_show_layout($malta_post_meta);
		?></div><!-- .entry-header -->
	
		<div class="post_content entry-content">
			<div class="post_content_inner">
				<?php
				$malta_show_learn_more = !in_array($malta_post_format, array('link', 'aside', 'status', 'quote'));
				if (has_excerpt()) {
					malta_show_layout(wp_trim_words(get_the_excerpt(), malta_get_theme_setting('max_excerpt_length')));
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($malta_post_format, array('link', 'aside', 'status', 'quote'))) {
					the_content();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
				?>
			</div>
			<?php
			// Post meta
			if (in_array($malta_post_format, array('link', 'aside', 'status', 'quote'))) {
				malta_show_layout($malta_post_meta);
			}
			// More button
			if ( $malta_show_learn_more ) {
				?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'malta'); ?></a></p><?php
			}
			?>
		</div><!-- .entry-content -->

	</div></div><!-- .post_inner -->

</article>