<?php
/**
 * The Portfolio template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_blog_style = explode('_', malta_get_theme_option('blog_style'));
$malta_columns = empty($malta_blog_style[1]) ? 2 : max(2, $malta_blog_style[1]);
$malta_post_format = get_post_format();
$malta_post_format = empty($malta_post_format) ? 'standard' : str_replace('post-format-', '', $malta_post_format);
$malta_animation = malta_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($malta_columns).' post_format_'.esc_attr($malta_post_format) ); ?>
	<?php echo (!malta_is_off($malta_animation) ? ' data-animation="'.esc_attr(malta_get_animation_classes($malta_animation)).'"' : ''); ?>
	>

	<?php
	$malta_image_hover = malta_get_theme_option('image_hover');
	// Featured image
	malta_show_post_featured(array(
		'thumb_size' => malta_get_thumb_size(strpos(malta_get_theme_option('body_style'), 'full')!==false || $malta_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $malta_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $malta_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>