<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

						// Widgets area inside page content
						malta_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					malta_create_widgets_area('widgets_below_page');

					$malta_body_style = malta_get_theme_option('body_style');
					if ($malta_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			$malta_footer_scheme =  malta_is_inherit(malta_get_theme_option('footer_scheme')) ? malta_get_theme_option('color_scheme') : malta_get_theme_option('footer_scheme');
			?>
			
			<footer class="site_footer_wrap scheme_<?php echo esc_attr($malta_footer_scheme); ?>">
				<?php
				// Footer sidebar
				$malta_footer_name = malta_get_theme_option('footer_widgets');
				$malta_footer_present = !malta_is_off($malta_footer_name) && is_active_sidebar($malta_footer_name);
				if ($malta_footer_present) { 
					malta_storage_set('current_sidebar', 'footer');
					$malta_footer_wide = malta_get_theme_option('footer_wide');
					ob_start();
					do_action( 'malta_action_before_sidebar' );
					if ( is_active_sidebar( $malta_footer_name ) ) {
						dynamic_sidebar( $malta_footer_name );
					}
					do_action( 'malta_action_after_sidebar' );
					$malta_out = ob_get_contents();
					ob_end_clean();
					$malta_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $malta_out);
					$malta_need_columns = true;
					if ($malta_need_columns) {
						$malta_columns = max(0, (int) malta_get_theme_option('footer_columns'));
						if ($malta_columns == 0) $malta_columns = min(6, max(1, substr_count($malta_out, '<aside ')));
						if ($malta_columns > 1)
							$malta_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($malta_columns).' widget ', $malta_out);
						else
							$malta_need_columns = false;
					}
					?>
					<div class="footer_wrap widget_area<?php echo !empty($malta_footer_wide) ? ' footer_fullwidth' : ''; ?>">
						<div class="footer_wrap_inner widget_area_inner">
							<?php 
							if (!$malta_footer_wide) { 
								?><div class="content_wrap"><?php
							}
							if ($malta_need_columns) {
								?><div class="columns_wrap"><?php
							}
							malta_show_layout($malta_out);
							if ($malta_need_columns) {
								?></div><!-- /.columns_wrap --><?php
							}
							if (!$malta_footer_wide) {
								?></div><!-- /.content_wrap --><?php
							}
							?>
						</div><!-- /.footer_wrap_inner -->
					</div><!-- /.footer_wrap -->
				<?php
				}
	
				// Logo
				if (malta_is_on(malta_get_theme_option('logo_in_footer'))) {
					$malta_logo_image = '';
					if (malta_get_retina_multiplier(2) > 1)
						$malta_logo_image = malta_get_theme_option( 'logo_footer_retina' );
					if (empty($malta_logo_image)) 
						$malta_logo_image = malta_get_theme_option( 'logo_footer' );
					$malta_logo_text   = get_bloginfo( 'name' );
					if (!empty($malta_logo_image) || !empty($malta_logo_text)) {
						?>
						<div class="logo_footer_wrap">
							<div class="logo_footer_wrap_inner">
								<?php
								if (!empty($malta_logo_image)) {
									$malta_attr = malta_getimagesize($malta_logo_image);
									echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($malta_logo_image).'" class="logo_footer_image" '.(!empty($malta_attr[3]) ? sprintf(' %s', $malta_attr[3]) : '').'></a>' ;
								} else if (!empty($malta_logo_text)) {
									echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($malta_logo_text) . '</a></h1>';
								}
								?>
							</div>
						</div>
						<?php
					}
				}

				// Footer menu
				$malta_menu_footer = malta_get_nav_menu('menu_footer');
				if (!empty($malta_menu_footer)) {
					?>
					<div class="menu_footer_wrap">
						<div class="menu_footer_wrap_inner">
							<?php malta_show_layout($malta_menu_footer); ?>
						</div>
					</div>
					<?php
				}
				
				// Copyright area
				$malta_copyright_scheme = malta_is_inherit(malta_get_theme_option('copyright_scheme')) ? $malta_footer_scheme : malta_get_theme_option('copyright_scheme');
				?> 
				<div class="copyright_wrap scheme_<?php echo esc_attr($malta_copyright_scheme); ?>">
					<div class="copyright_wrap_inner">
						<div class="content_wrap">
							<div class="copyright_text"><?php
								$malta_copyright = malta_prepare_macros(malta_get_theme_option('copyright'));
								if (!empty($malta_copyright)) {
									malta_show_layout(do_shortcode(str_replace(array('{{Y}}', '{Y}'), date('Y'), malta_get_theme_option('copyright'))));
								}
								?></div>
							<?php // Socials
							if ( malta_is_on(malta_get_theme_option('socials_in_footer')) && ($malta_output = malta_get_socials_links()) != '') {
							?>
							<div class="socials_footer_wrap socials_wrap">
								<div class="socials_footer_wrap_inner">
									<span class="socials_footer_label"><?php esc_html_e('Follow Us', 'malta')?></span>
									<?php malta_show_layout($malta_output); ?>
								</div>
							</div>
							<?php
							}
							?>
						</div>
					</div>
				</div>

			</footer><!-- /.site_footer_wrap -->
			
		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (malta_is_on(malta_get_theme_option('debug_mode')) && file_exists(malta_get_file_dir('images/makeup.jpg'))) { ?>
		<img src="<?php echo esc_url(malta_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>