<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WPBakery Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$malta_content = '';
$malta_blog_archive_mask = '%%CONTENT%%';
$malta_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $malta_blog_archive_mask);
if ( have_posts() ) {
	the_post(); 
	if (($malta_content = apply_filters('the_content', get_the_content())) != '') {
		if (($malta_pos = strpos($malta_content, $malta_blog_archive_mask)) !== false) {
			$malta_content = preg_replace('/(\<p\>\s*)?'.$malta_blog_archive_mask.'(\s*\<\/p\>)/i', $malta_blog_archive_subst, $malta_content);
		} else
			$malta_content .= $malta_blog_archive_subst;
		$malta_content = explode($malta_blog_archive_mask, $malta_content);
	}
}

// Make new query
$malta_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$malta_args = malta_query_add_posts_and_cats($malta_args, '', malta_get_theme_option('post_type'), malta_get_theme_option('parent_cat'));
$malta_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($malta_page_number > 1) {
	$malta_args['paged'] = $malta_page_number;
	$malta_args['ignore_sticky_posts'] = true;
}
$malta_ppp = malta_get_theme_option('posts_per_page');
if ((int) $malta_ppp != 0)
	$malta_args['posts_per_page'] = (int) $malta_ppp;

query_posts( $malta_args );

// Set query vars in the new query!
if (is_array($malta_content) && count($malta_content) == 2) {
	set_query_var('blog_archive_start', $malta_content[0]);
	set_query_var('blog_archive_end', $malta_content[1]);
}

get_template_part('index');
?>