<?php
/**
 * The Classic template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_blog_style = explode('_', malta_get_theme_option('blog_style'));
$malta_columns = empty($malta_blog_style[1]) ? 2 : max(2, $malta_blog_style[1]);
$malta_expanded = !malta_sidebar_present() && malta_is_on(malta_get_theme_option('expand_content'));
$malta_post_format = get_post_format();
$malta_post_format = empty($malta_post_format) ? 'standard' : str_replace('post-format-', '', $malta_post_format);
$malta_animation = malta_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($malta_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_classic post_layout_classic_'.esc_attr($malta_columns).' post_format_'.esc_attr($malta_post_format) ); ?>
	<?php echo (!malta_is_off($malta_animation) ? ' data-animation="'.esc_attr(malta_get_animation_classes($malta_animation)).'"' : ''); ?>
	>

	<?php

	// Featured image
	malta_show_post_featured( array( 'thumb_size' => malta_get_thumb_size(
													strpos(malta_get_theme_option('body_style'), 'full')!==false 
														? ( $malta_columns > 2 ? 'big' : 'huge' )
														: (	$malta_columns > 2
															? ($malta_expanded ? 'med' : 'small')
															: ($malta_expanded ? 'big' : 'med')
															)
														)
										) );

	if ( !in_array($malta_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('malta_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('malta_action_before_post_meta'); 

			// Post meta
			malta_show_post_meta(array(
				'categories' => false,
				'date' => true,
				'edit' => false,
				'seo' => false,
				'share' => false,
				'counters' => 'comments',
				)
			);
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$malta_show_learn_more = false;
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($malta_post_format, array('link', 'aside', 'status', 'quote'))) {
				the_content();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($malta_post_format, array('link', 'aside', 'status', 'quote'))) {
			malta_show_post_meta(array(
				'share' => false,
				'counters' => 'comments'
				)
			);
		}
		// More button
		if ( $malta_show_learn_more ) {
			?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'malta'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>