<?php
/**
 * The default template for displaying content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_post_format = get_post_format();
$malta_post_format = empty($malta_post_format) ? 'standard' : str_replace('post-format-', '', $malta_post_format);
$malta_full_content = malta_get_theme_option('blog_content') != 'excerpt' || in_array($malta_post_format, array('link', 'aside', 'status', 'quote'));
$malta_animation = malta_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_excerpt post_format_'.esc_attr($malta_post_format) ); ?>
	<?php echo (!malta_is_off($malta_animation) ? ' data-animation="'.esc_attr(malta_get_animation_classes($malta_animation)).'"' : ''); ?>
	><?php
	// Title and post meta
	if (get_the_title() != '') {
		?>
		<div class="post_header entry-header">
			<?php
			do_action('malta_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );

			?>
		</div><!-- .post_header --><?php
	}

	// Featured image
	malta_show_post_featured();

	do_action('malta_action_before_post_meta');

	// Post meta
	malta_show_post_meta(array(
			'categories' => false,
			'date' => true,
			'edit' => false,
			'seo' => false,
			'share' => false,
			'counters' => 'comments'	//comments,likes,views - comma separated in any combination
		)
	);


	// Post content
	?><div class="post_content entry-content"><?php
		if ($malta_full_content) {
			// Post content area
			?><div class="post_content_inner"><?php
				the_content( '' );
			?></div><?php
			// Inner pages
			wp_link_pages( array(
				'before'      => '<div class="page_links"><span class="page_links_title">' . esc_html__( 'Pages:', 'malta' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'malta' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );

		} else {

			$malta_show_learn_more = !in_array($malta_post_format, array('link', 'aside', 'status', 'quote'));

			// Post content area
			?><div class="post_content_inner"><?php
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($malta_post_format, array('link', 'aside', 'status', 'quote'))) {
					the_content();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
			?></div><?php
			// More button
			if ( $malta_show_learn_more ) {
				?><p><a class="more-link" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'malta'); ?></a></p><?php
			}

		}
	?></div><!-- .entry-content -->
</article>