<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_blog_style = explode('_', malta_get_theme_option('blog_style'));
$malta_columns = empty($malta_blog_style[1]) ? 2 : max(2, $malta_blog_style[1]);
$malta_post_format = get_post_format();
$malta_post_format = empty($malta_post_format) ? 'standard' : str_replace('post-format-', '', $malta_post_format);
$malta_animation = malta_get_theme_option('blog_animation');
$malta_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($malta_columns).' post_format_'.esc_attr($malta_post_format) ); ?>
	<?php echo (!malta_is_off($malta_animation) ? ' data-animation="'.esc_attr(malta_get_animation_classes($malta_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($malta_image[1]) && !empty($malta_image[2])) echo intval($malta_image[1]) .'x' . intval($malta_image[2]); ?>"
	data-src="<?php if (!empty($malta_image[0])) echo esc_url($malta_image[0]); ?>"
	>

	<?php
	$malta_image_hover = 'icon';
	if (in_array($malta_image_hover, array('icons', 'zoom'))) $malta_image_hover = 'dots';
	// Featured image
	malta_show_post_featured(array(
		'hover' => $malta_image_hover,
		'thumb_size' => malta_get_thumb_size( strpos(malta_get_theme_option('body_style'), 'full')!==false || $malta_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. malta_show_post_meta(array(
									'categories' => true,
									'date' => true,
									'edit' => false,
									'seo' => false,
									'share' => true,
									'counters' => 'comments',
									'echo' => false
									))
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'malta') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>