<?php
/**
 * The Sticky template for displaying sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$malta_post_format = get_post_format();
$malta_post_format = empty($malta_post_format) ? 'standard' : str_replace('post-format-', '', $malta_post_format);
$malta_animation = malta_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($malta_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($malta_post_format) ); ?>
	<?php echo (!malta_is_off($malta_animation) ? ' data-animation="'.esc_attr(malta_get_animation_classes($malta_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	malta_show_post_featured(array(
		'thumb_size' => malta_get_thumb_size($malta_columns==1 ? 'big' : ($malta_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($malta_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			// Post meta
			malta_show_post_meta(array(
					'seo' => false,
					'categories' => false,
					'date' => true,
					'edit' => false,
					'share' => false,
					'counters' => 'comments'	//comments,likes,views - comma separated in any combination
				)
			);
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>