<?php
/**
 * The template for homepage posts with "Portfolio" style
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

malta_storage_set('blog_archive', true);

// Load scripts for both 'Gallery' and 'Portfolio' layouts!
wp_enqueue_script( 'classie', malta_get_file_url('js/theme.gallery/classie.min.js'), array(), null, true );
wp_enqueue_script( 'imagesloaded', malta_get_file_url('js/theme.gallery/imagesloaded.min.js'), array(), null, true );
wp_enqueue_script( 'masonry', malta_get_file_url('js/theme.gallery/masonry.min.js'), array(), null, true );
wp_enqueue_script( 'malta-gallery-script', malta_get_file_url('js/theme.gallery/theme.gallery.js'), array(), null, true );

get_header(); 

if (have_posts()) {

	echo get_query_var('blog_archive_start');

	$malta_id = $malta_cat = $malta_taxonomy = $malta_post_type = '';


	$malta_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$malta_sticky_out = is_array($malta_stickies) && count($malta_stickies) > 0 && get_query_var( 'paged' ) < 1;
	
	// Show filters
	$malta_show_filters = malta_get_theme_option('show_filters');
	$malta_tabs = array();
	if (!malta_is_off($malta_show_filters)) {
		$malta_cat = malta_get_theme_option('parent_cat');
		$malta_post_type = malta_get_theme_option('post_type');
		$malta_taxonomy = malta_get_post_type_taxonomy($malta_post_type);
		$malta_args = array(
			'type'			=> $malta_post_type,
			'child_of'		=> $malta_cat,
			'orderby'		=> 'name',
			'order'			=> 'ASC',
			'hide_empty'	=> 1,
			'hierarchical'	=> 0,
			'exclude'		=> '',
			'include'		=> '',
			'number'		=> '',
			'taxonomy'		=> $malta_taxonomy,
			'pad_counts'	=> false
		);
		$malta_portfolio_list = get_terms($malta_args);
		if (is_array($malta_portfolio_list) && count($malta_portfolio_list) > 0) {
			$malta_tabs[$malta_cat] = esc_html__('All', 'malta');
			foreach ($malta_portfolio_list as $malta_term) {
				if (isset($malta_term->term_id)) $malta_tabs[$malta_term->term_id] = $malta_term->name;
			}
		}
	}
	if (count($malta_tabs) > 0) {
		$malta_portfolio_filters_ajax = true;
		$malta_portfolio_filters_active = $malta_cat;
		$malta_portfolio_filters_id = 'portfolio_filters';
		if (!is_customize_preview())
			wp_enqueue_script('jquery-ui-tabs', false, array('jquery', 'jquery-ui-core'), null, true);
		?>
		<div class="portfolio_filters malta_tabs malta_tabs_ajax">
			<ul class="portfolio_titles malta_tabs_titles">
				<?php
				foreach ($malta_tabs as $malta_id=>$malta_title) {
					?><li><a href="<?php echo esc_url(malta_get_hash_link(sprintf('#%s_%s_content', $malta_portfolio_filters_id, $malta_id))); ?>" data-tab="<?php echo esc_attr($malta_id); ?>"><?php echo esc_html($malta_title); ?></a></li><?php
				}
				?>
			</ul>
			<?php
			$malta_ppp = malta_get_theme_option('posts_per_page');
			if (malta_is_inherit($malta_ppp)) $malta_ppp = '';
			foreach ($malta_tabs as $malta_id=>$malta_title) {
				$malta_portfolio_need_content = $malta_id==$malta_portfolio_filters_active || !$malta_portfolio_filters_ajax;
				?>
				<div id="<?php echo esc_attr(sprintf('%s_%s_content', $malta_portfolio_filters_id, $malta_id)); ?>"
					class="portfolio_content malta_tabs_content"
					data-blog-template="<?php echo esc_attr(malta_storage_get('blog_template')); ?>"
					data-blog-style="<?php echo esc_attr(malta_get_theme_option('blog_style')); ?>"
					data-posts-per-page="<?php echo esc_attr($malta_ppp); ?>"
					data-post-type="<?php echo esc_attr($malta_post_type); ?>"
					data-taxonomy="<?php echo esc_attr($malta_taxonomy); ?>"
					data-cat="<?php echo esc_attr($malta_id); ?>"
					data-parent-cat="<?php echo esc_attr($malta_cat); ?>"
					data-need-content="<?php echo (false===$malta_portfolio_need_content ? 'true' : 'false'); ?>"
				>
					<?php
					if ($malta_portfolio_need_content) 
						malta_show_portfolio_posts(array(
							'cat' => $malta_id,
							'parent_cat' => $malta_cat,
							'taxonomy' => $malta_taxonomy,
							'post_type' => $malta_post_type,
							'page' => 1,
							'sticky' => $malta_sticky_out
							)
						);
					?>
				</div>
				<?php
			}
			?>
		</div>
		<?php
	} else {
		malta_show_portfolio_posts(array(
			'cat' => $malta_id,
			'parent_cat' => $malta_cat,
			'taxonomy' => $malta_taxonomy,
			'post_type' => $malta_post_type,
			'page' => 1,
			'sticky' => $malta_sticky_out
			)
		);
	}

	echo get_query_var('blog_archive_end');

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>