<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_sidebar_position = malta_get_theme_option('sidebar_position');
if (malta_sidebar_present()) {
	$malta_sidebar_name = malta_get_theme_option('sidebar_widgets');
	malta_storage_set('current_sidebar', 'sidebar');
	?>
	<div class="sidebar <?php echo esc_attr($malta_sidebar_position); ?> widget_area<?php if (!malta_is_inherit(malta_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(malta_get_theme_option('sidebar_scheme')); ?>" role="complementary">
		<div class="sidebar_inner">
			<?php
			ob_start();
			do_action( 'malta_action_before_sidebar' );
			if ( is_active_sidebar( $malta_sidebar_name ) ) {
				dynamic_sidebar( $malta_sidebar_name );
			}
			do_action( 'malta_action_after_sidebar' );
			$malta_out = ob_get_contents();
			ob_end_clean();
			malta_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $malta_out));
			?>
		</div><!-- /.sidebar_inner -->
	</div><!-- /.sidebar -->
	<?php
}
?>