<?php
/**
 * The template for displaying Logo or Site name and slogan in the Header
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

// Site logo
$malta_logo_image = '';
if (malta_get_retina_multiplier(2) > 1)
	$malta_logo_image = malta_get_theme_option( 'logo_retina' );
if (empty($malta_logo_image)) 
	$malta_logo_image = malta_get_theme_option( 'logo' );
$malta_logo_text   = get_bloginfo( 'name' );
$malta_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($malta_logo_image) || !empty($malta_logo_text)) {
	?><a class="logo" href="<?php echo esc_url(is_front_page() ? '#' : home_url('/')); ?>"><?php
		if (!empty($malta_logo_image)) {
			$malta_attr = malta_getimagesize($malta_logo_image);
			echo '<img src="'.esc_url($malta_logo_image).'" class="logo_main" '.(!empty($malta_attr[3]) ? sprintf(' %s', $malta_attr[3]) : '').'>' ;
		} else {
			malta_show_layout(malta_prepare_macros($malta_logo_text), '<span class="logo_text">', '</span>');
			malta_show_layout(malta_prepare_macros($malta_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>