<?php
/**
 * The template for displaying main menu
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */
$malta_header_image = get_query_var('malta_header_image');
?>
<div class="top_panel_fixed_wrap"></div>
<div class="top_panel_navi 
			<?php if ($malta_header_image!='') echo ' with_bg_image'; ?>
			scheme_<?php echo esc_attr(malta_is_inherit(malta_get_theme_option('menu_scheme')) 
												? (malta_is_inherit(malta_get_theme_option('header_scheme')) 
													? malta_get_theme_option('color_scheme') 
													: malta_get_theme_option('header_scheme')) 
												: malta_get_theme_option('menu_scheme')); ?>">
	<div class="menu_main_wrap clearfix menu_hover_<?php echo esc_attr(malta_get_theme_option('menu_hover')); ?>">
		<div class="content_wrap">
			<?php
			// Filter header components
			$malta_header_parts = apply_filters('malta_filter_header_parts', array(
				'logo' => true,
				'menu' => true,
				'search' => true
				),
				'menu_main');
			
			// Logo
			if (!empty($malta_header_parts['logo'])) {
				get_template_part( 'templates/header-logo' );
			}

			// Cart
			if (function_exists('malta_exists_woocommerce') && malta_exists_woocommerce() && malta_get_theme_option("header_style")=='header-2' && !(is_checkout() || is_cart() || defined('WOOCOMMERCE_CHECKOUT') || defined('WOOCOMMERCE_CART'))) {
				?>
				<div class="contact_cart"><?php
				$cart_items = WC()->cart->get_cart_contents_count();
				$cart_summa = strip_tags(WC()->cart->get_cart_subtotal()); ?>
				<a href="#" class="top_panel_cart_button" data-items="<?php echo esc_attr($cart_items); ?>"
				   data-summa="<?php echo esc_attr($cart_summa); ?>">
					<span class="icon-untitled-3"></span>
					<span class="contact_cart_label"><?php esc_html_e('Cart:', 'malta'); ?></span>
					<span class="contact_cart_totals">
							<span class="cart_items"><?php
								echo esc_html($cart_items) . ' ' . ($cart_items == 1 ? esc_html__('Item', 'malta') : esc_html__('Items', 'malta'));
								?></span>
					</span>
				</a>
				<ul class="widget_area sidebar_cart">
				<li>
					<?php
					do_action('before_sidebar');
					malta_storage_set('current_sidebar', 'cart');
					if (!dynamic_sidebar('sidebar-cart')) {
						the_widget('WC_Widget_Cart', 'title=&hide_if_empty=0');
					}
					?>
				</li></ul><?php

				?></div><?php
			}

			// Display search field
			if (malta_get_theme_option("header_style")=='header-2'&&!empty($malta_header_parts['search'])) {
				set_query_var('malta_search_in_header', true);
				get_template_part( 'templates/search-field' );
			}

			// Main menu
			if (!empty($malta_header_parts['menu'])) {
				$malta_malta_menu_main = malta_get_nav_menu('menu_main');
				if (empty($malta_malta_menu_main)) $malta_malta_menu_main = malta_get_nav_menu();
				malta_show_layout($malta_malta_menu_main);
				// Store menu layout for the mobile menu
				set_query_var('malta_menu_main', $malta_malta_menu_main);
			}

			?>
			<?php

			?>
		</div>
	</div>
</div><!-- /.top_panel_navi -->