<?php
/**
 * The template for displaying posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_post_id    = get_the_ID();
$malta_post_date  = malta_get_date();
$malta_post_title = get_the_title();
$malta_post_link  = get_permalink();
$malta_post_author_id   = get_the_author_meta('ID');
$malta_post_author_name = get_the_author_meta('display_name');
$malta_post_author_url  = get_author_posts_url($malta_post_author_id, '');

$malta_args = get_query_var('malta_args_widgets_posts');
$malta_show_date = isset($malta_args['show_date']) ? (int) $malta_args['show_date'] : 1;
$malta_show_image = isset($malta_args['show_image']) ? (int) $malta_args['show_image'] : 1;
$malta_show_author = isset($malta_args['show_author']) ? (int) $malta_args['show_author'] : 1;
$malta_show_counters = isset($malta_args['show_counters']) ? (int) $malta_args['show_counters'] : 1;
$malta_show_categories = isset($malta_args['show_categories']) ? (int) $malta_args['show_categories'] : 1;

$malta_output = malta_storage_get('malta_output_widgets_posts');

$malta_post_counters_output = '';
if ( $malta_show_counters ) {
	$malta_post_counters_output = '<span class="post_info_item post_info_counters">'
								. malta_get_post_counters('comments')
							. '</span>';
}


$malta_output .= '<article class="post_item with_thumb">';

if ($malta_show_image) {
	$malta_post_thumb = get_the_post_thumbnail($malta_post_id, malta_get_thumb_size('tiny'), array(
		'alt' => get_the_title()
	));
	if ($malta_post_thumb) $malta_output .= '<div class="post_thumb">' . ($malta_post_link ? '<a href="' . esc_url($malta_post_link) . '">' : '') . ($malta_post_thumb) . ($malta_post_link ? '</a>' : '') . '</div>';
}

$malta_output .= '<div class="post_content">'
			. ($malta_show_categories 
					? '<div class="post_categories">'
						. malta_get_post_categories()
						. $malta_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($malta_post_link ? '<a href="' . esc_url($malta_post_link) . '">' : '') . ($malta_post_title) . ($malta_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('malta_filter_get_post_info', 
								'<div class="post_info">'
									. ($malta_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($malta_post_link ? '<a href="' . esc_url($malta_post_link) . '" class="post_info_date">' : '') 
											. esc_html($malta_post_date) 
											. ($malta_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($malta_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'malta') . ' ' 
											. ($malta_post_link ? '<a href="' . esc_url($malta_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($malta_post_author_name) 
											. ($malta_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$malta_show_categories && $malta_post_counters_output
										? $malta_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
malta_storage_set('malta_output_widgets_posts', $malta_output);
?>