<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'malta_trx_socials_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'malta_trx_socials_theme_setup9', 9 );
	function malta_trx_socials_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'malta_filter_tgmpa_required_plugins', 'malta_trx_socials_tgmpa_required_plugins', 8 );
		}
	}
}

// Filter to add in the required plugins list
// Priority 8 is used to add this plugin before all other plugins
if ( ! function_exists( 'malta_trx_socials_tgmpa_required_plugins' ) ) {
	function malta_trx_socials_tgmpa_required_plugins( $list = array() ) {
        if (in_array('trx_socials', malta_storage_get('required_plugins'))) {
			$path = malta_get_file_dir('plugins/trx_socials/trx_socials.zip');
            $list[] = array(
                'name'     => esc_html__('TRX Socials', 'malta'),
                'slug'     => 'trx_socials',
                'source'   => !empty($path) ? $path : 'upload://booked.zip',
                'required' => false,
            );

		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'malta_exists_trx_socials' ) ) {
	function malta_exists_trx_socials() {
		return defined( 'TRX_SOCIALS_STORAGE' );
	}
}
