<?php
/* TRX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('malta_trx_updater_theme_setup9')) {
    add_action( 'after_setup_theme', 'malta_trx_updater_theme_setup9', 9 );
    function malta_trx_updater_theme_setup9() {
        if (is_admin()) {
            add_filter( 'malta_filter_tgmpa_required_plugins',		'malta_trx_updater_tgmpa_required_plugins' );
        }
    }
}

// Check if plugin installed and activated
if ( !function_exists( 'malta_exists_trx_updater' ) ) {
    function malta_exists_trx_updater() {
        return function_exists( 'trx_updater_load_plugin_textdomain' );
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'malta_trx_updater_tgmpa_required_plugins' ) ) {
    function malta_trx_updater_tgmpa_required_plugins($list=array()) {
        if (in_array('trx_updater', malta_storage_get('required_plugins'))) {
            $path = malta_get_file_dir('plugins/trx_updater/trx_updater.zip');
            $list[] = array(
                'name' 		=> esc_html__('TRX Updater', 'malta'),
                'slug' 		=> 'trx_updater',
                'version'	=> '2.1.2',
                'source'	=> !empty($path) ? $path : 'upload://trx_updater.zip',
                'required' 	=> false
            );
        }
        return $list;
    }
}


?>