<?php
/**
 * The template for displaying Author bios
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php 
		$malta_mult = malta_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120*$malta_mult ); 
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<div class="author_title_label"><?php esc_html_e('About Author', 'malta'); ?></div>
		<h5 class="author_title" itemprop="name"><?php echo wp_kses_data(sprintf(__('%s', 'malta'), '<span class="fn">'.get_the_author().'</span>')); ?></h5>


		<div class="author_bio" itemprop="description">
			<?php echo wpautop(get_the_author_meta( 'description' )); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->