<?php
/**
 * The template to display "Header 1"
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_header_css = $malta_header_image = '';
$malta_header_video = wp_is_mobile() ? '' : malta_get_theme_option('header_video');
if (true || empty($malta_header_video)) {
	$malta_header_image = get_header_image();
	if (malta_is_on(malta_get_theme_option('header_image_override')) && apply_filters('malta_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($malta_cat_img = malta_get_category_image()) != '')
				$malta_header_image = $malta_cat_img;
		} else if (is_singular() || malta_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$malta_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($malta_header_image)) $malta_header_image = $malta_header_image[0];
			} else
				$malta_header_image = '';
		}
	}
}

// Store header image for navi
set_query_var('malta_header_image', $malta_header_image || $malta_header_video);

?><header class="top_panel top_panel_style_1<?php
					echo !empty($malta_header_image) || !empty($malta_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($malta_header_video!='') echo ' with_bg_video';
					if ($malta_header_image!='') echo ' '.esc_attr(malta_add_inline_style('background-image: url('.esc_url($malta_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (malta_is_on(malta_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
					?> scheme_<?php echo esc_attr(malta_is_inherit(malta_get_theme_option('header_scheme')) 
													? malta_get_theme_option('color_scheme') 
													: malta_get_theme_option('header_scheme'));
					?>">
	<div class="top_panel_top">
		<div class="content_wrap clearfix">
			<div class="top_panel_top_contact_area"><?php
				$malta_phone_in_header = malta_get_theme_option('phone_in_header');
				$malta_mail_in_header = malta_get_theme_option('mail_in_header');
				if (!empty($malta_phone_in_header)) {?>
				<div class="contact_phone">
					<span class="icon-untitled-1"><a href="tel:<?php echo esc_attr($malta_phone_in_header); ?>"><?php malta_show_layout($malta_phone_in_header); ?></a>
					</span>
				</div><?php
				}
				if (!empty($malta_mail_in_header)) {?>
					<div class="contact_mail">
					<span class="icon-untitled-2"><a href="mailto:<?php echo antispambot($malta_mail_in_header); ?>"><?php malta_show_layout($malta_mail_in_header); ?></a>
					</span>
					</div><?php
				}
				?>

			</div><?php
			if (function_exists('malta_exists_woocommerce') && function_exists('trx_addons_activate') && malta_exists_woocommerce() && !(is_checkout() || is_cart() || defined('WOOCOMMERCE_CHECKOUT') || defined('WOOCOMMERCE_CART'))) {
				?>
				<div class="contact_cart"><?php
				$cart_items = WC()->cart->get_cart_contents_count();
				$cart_summa = strip_tags(WC()->cart->get_cart_subtotal()); ?>
				<a href="#" class="top_panel_cart_button" data-items="<?php echo esc_attr($cart_items); ?>"
				   data-summa="<?php echo esc_attr($cart_summa); ?>">
					<span class="icon-untitled-3"></span>
					<span class="contact_cart_label"><?php esc_html_e('Cart:', 'malta'); ?></span>
					<span class="contact_cart_totals">
							<span class="cart_items"><?php
								echo esc_html($cart_items) . ' ' . ($cart_items == 1 ? esc_html__('Item', 'malta') : esc_html__('Items', 'malta'));
							?></span>
					</span>
				</a>
				<ul class="widget_area sidebar_cart">
				<li>
					<?php
					do_action('before_sidebar');
					malta_storage_set('current_sidebar', 'cart');
					if (!dynamic_sidebar('sidebar-cart')) {
						the_widget('WC_Widget_Cart', 'title=&hide_if_empty=0');
					}
					?>
				</li></ul><?php

				?></div><?php
			}

			?>

		</div>
	</div><?php
	
	// Main menu
	if (malta_get_theme_option("menu_style") == 'top') {
		// Mobile menu button
		?><a class="menu_mobile_button icon-menu-2"></a><?php
		// Navigation panel
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );


?></header>