<?php
/**
 * The template to display "Header 2"
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_header_css = $malta_header_image = '';
$malta_header_video = wp_is_mobile() ? '' : malta_get_theme_option('header_video');
if (true || empty($malta_header_video)) {
	$malta_header_image = get_header_image();
	if (malta_is_on(malta_get_theme_option('header_image_override')) && apply_filters('malta_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($malta_cat_img = malta_get_category_image()) != '')
				$malta_header_image = $malta_cat_img;
		} else if ((is_singular() || malta_storage_isset('blog_archive'))) {
			if (has_post_thumbnail()) {
				$malta_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($malta_header_image)) $malta_header_image = $malta_header_image[0];
			} else
				$malta_header_image = '';
		}
	}
}

// Store header image for navi
set_query_var('malta_header_image', $malta_header_image || $malta_header_video);

?><header class="top_panel top_panel_style_2<?php
					echo !empty($malta_header_image) || !empty($malta_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($malta_header_video!='') echo ' with_bg_video';
					if ($malta_header_image!='') echo ' '.esc_attr(malta_add_inline_style('background-image: url('.esc_url($malta_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image'; 
					if (malta_is_on(malta_get_theme_option('header_fullheight'))) echo ' header_fullheight trx-stretch-height';
					?> scheme_<?php echo esc_attr(malta_is_inherit(malta_get_theme_option('header_scheme')) 
													? malta_get_theme_option('color_scheme') 
													: malta_get_theme_option('header_scheme')); ?>"
					><?php
	
	// Main menu
	if (malta_get_theme_option("menu_style") == 'top') {
		// Mobile menu button
		?><a class="menu_mobile_button icon-menu-2"></a><?php
		// Navigation panel
		get_template_part( 'templates/header-navi' );
	}
	
	// Page title
	get_template_part( 'templates/header-title-2');
	
	// Header widgets area
	get_template_part( 'templates/header-widgets' );
	
	// Navigation panel 2
	get_template_part( 'templates/header-navi-header' );

?></header>