<?php
/**
 * The template for displaying Page title and Breadcrumbs
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

// Page (category, tag, archive, author) title

if ( malta_need_page_title() ) {
	set_query_var('malta_title_showed', true);
	$malta_top_icon = malta_get_category_icon();
	?>
	<div class="top_panel_title_wrap">
		<div class="content_wrap">
			<div class="top_panel_title">
				<div class="page_title">
					<?php

					// Blog/Post title
					$malta_blog_title = malta_get_blog_title();
					$malta_blog_title_text = $malta_blog_title_class = $malta_blog_title_link = $malta_blog_title_link_text = '';
					if (is_array($malta_blog_title)) {
						$malta_blog_title_text = $malta_blog_title['text'];
						$malta_blog_title_class = !empty($malta_blog_title['class']) ? ' '.$malta_blog_title['class'] : '';
						$malta_blog_title_link = !empty($malta_blog_title['link']) ? $malta_blog_title['link'] : '';
						$malta_blog_title_link_text = !empty($malta_blog_title['link_text']) ? $malta_blog_title['link_text'] : '';
					} else
						$malta_blog_title_text = $malta_blog_title;
					?>
					<h1 class="page_caption<?php echo esc_attr($malta_blog_title_class); ?>"><?php
						if (!empty($malta_top_icon)) {
							?><img src="<?php echo esc_url($malta_top_icon); ?>" ><?php
						}
						echo wp_kses_post($malta_blog_title_text);
					?></h1>
					<?php
					if (!empty($malta_blog_title_link) && !empty($malta_blog_title_link_text)) {
						?><a href="<?php echo esc_url($malta_blog_title_link); ?>" class="theme_button theme_button_small page_title_link"><?php echo esc_html($malta_blog_title_link_text); ?></a><?php
					}
					
					// Category/Tag description
					if ( is_category() || is_tag() || is_tax() ) 
						the_archive_description( '<div class="page_description">', '</div>' );
					?>
				</div>
				<?php
				// Breadcrumbs
				if (malta_is_on(malta_get_theme_option('show_breadcrumbs'))) {
					malta_show_layout(malta_get_breadcrumbs(), '<div class="breadcrumbs">', '</div>');
				}
				?>
			</div>
		</div>
	</div>
	<?php
}
?>