<?php
/**
 * The template for displaying Header widgets area
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

// Header sidebar
$malta_header_name = malta_get_theme_option('header_widgets');
$malta_header_present = !malta_is_off($malta_header_name) && is_active_sidebar($malta_header_name);
if ($malta_header_present) { 
	malta_storage_set('current_sidebar', 'header');
	$malta_header_wide = malta_get_theme_option('header_wide');
	ob_start();
	do_action( 'malta_action_before_sidebar' );
	if ( is_active_sidebar( $malta_header_name ) ) {
		dynamic_sidebar( $malta_header_name );
	}
	do_action( 'malta_action_after_sidebar' );
	$malta_widgets_output = ob_get_contents();
	ob_end_clean();
	$malta_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $malta_widgets_output);
	$malta_need_columns = strpos($malta_widgets_output, 'columns_wrap')===false;
	if ($malta_need_columns) {
		$malta_columns = max(0, (int) malta_get_theme_option('header_columns'));
		if ($malta_columns == 0) $malta_columns = min(6, max(1, substr_count($malta_widgets_output, '<aside ')));
		if ($malta_columns > 1)
			$malta_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($malta_columns).' widget ', $malta_widgets_output);
		else
			$malta_need_columns = false;
	}
	?>
	<div class="header_widgets_wrap widget_area<?php echo !empty($malta_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
		<div class="header_widgets_wrap_inner widget_area_inner">
			<?php 
			if (!$malta_header_wide) { 
				?><div class="content_wrap"><?php
			}
			if ($malta_need_columns) {
				?><div class="columns_wrap"><?php
			}
			malta_show_layout($malta_widgets_output);
			if ($malta_need_columns) {
				?></div>	<!-- /.columns_wrap --><?php
			}
			if (!$malta_header_wide) {
				?></div>	<!-- /.content_wrap --><?php
			}
			?>
		</div>	<!-- /.header_widgets_wrap_inner -->
	</div>	<!-- /.header_widgets_wrap -->
<?php
}
?>